[alpine-devel] [PATCH] main/hylafax: update to 6.0.5 / patch for gcc4.5.1

Cameron Banta
Details
Message ID
<1288209197-18537-1-git-send-email-cbanta@gmail.com>
Sender timestamp
1288209197
DKIM signature
missing
Download raw message
Patch: +33 -214
---
 main/hylafax/APKBUILD       |   29 +++++--
 main/hylafax/gcc4.5.1.patch |   13 +++
 main/hylafax/hylafax.confd  |   29 -------
 main/hylafax/hylafax.init   |  176 -------------------------------------------
 4 files changed, 33 insertions(+), 214 deletions(-)
 create mode 100644 main/hylafax/gcc4.5.1.patch
 delete mode 100644 main/hylafax/hylafax.confd
 delete mode 100644 main/hylafax/hylafax.init

diff --git a/main/hylafax/APKBUILD b/main/hylafax/APKBUILD
index 419aebc..5eadc15 100644
--- a/main/hylafax/APKBUILD
+++ b/main/hylafax/APKBUILD
@@ -1,8 +1,8 @@
 # Contributor: Cameron Banta <cbanta@gmail.com>
 # Maintainer: Cameron Banta <cbanta@gmail.com>
 pkgname=hylafax
-pkgver=4.4.4
-pkgrel=2
+pkgver=6.0.5
+pkgrel=0
 pkgdesc="Sends and receives faxes"
 url="http://www.hylafax.org/"
 license="custom"
@@ -12,15 +12,20 @@ makedepends="zlib-dev tiff-dev"
 install="hylafax.post-install"
 subpackages="$pkgname-doc"
 source="ftp://ftp.hylafax.org/source/$pkgname-$pkgver.tar.gz
+	gcc4.5.1.patch
+	$install
 	"
 
+_builddir="$srcdir"/$pkgname-$pkgver
+
+prepare() {
+        cd "$_builddir"
+	patch -p1 < $startdir/gcc4.5.1.patch
+}
+
 build() {
-	cd "$srcdir/$pkgname-$pkgver"
+        cd "$_builddir"
 	
-	# Patch configure c++ problem
-	sed -i -e 's:"iostream.h":<iostream>\n using namespace std;:g' \
-		configure
-
 	# the configure script does not handle ccache or distcc
 	export CC=gcc
 	export CXX=g++
@@ -42,8 +47,12 @@ build() {
 		--with-PATH_EGETTY=/bin/false \
 		--with-PATH_VGETTY=/bin/false \
 		|| return 1
-	make -j1 || return 1
+	make || return 1
+}
 
+package(){
+        cd "$_builddir"
+	
 	# this makefile has issues installing, it doesn't use the standard 
 	#   install - but the following seems to work
 	mkdir -p "${pkgdir}"/usr/bin "${pkgdir}"/usr/sbin 
@@ -77,4 +86,6 @@ build() {
 	#   - which the user runs after install
 }
 
-md5sums="4beb3d438ca6c4f00f1d94f9643e6668  hylafax-4.4.4.tar.gz"
+md5sums="eb9ac942354ad708e20e4583cec6615f  hylafax-6.0.5.tar.gz
+bca78921c75448f63b451098528f5296  gcc4.5.1.patch
+a3553e6fc4de30e80759abe5c663c85b  hylafax.post-install"
diff --git a/main/hylafax/gcc4.5.1.patch b/main/hylafax/gcc4.5.1.patch
new file mode 100644
index 0000000..0ac556a
--- /dev/null
+++ b/main/hylafax/gcc4.5.1.patch
@@ -0,0 +1,13 @@
+diff --git a/configure b/configure
+index e49c08f..c6976fd 100755
+--- a/configure
+@@ -2882,7 +2882,7 @@ BuildPortDotH()
+ 	echo '#define HAS_FCHMOD 1'
+ 	Note "... configure use of fchmod"
+ 	CheckFuncDecl fchmod 'extern int fchmod(int, mode_t);' \
+-	    unistd.h libc.h $OSFCNH sys/stat.h
++	    unistd.h $OSFCNH sys/stat.h libc.h
+     }
+     CheckFuncDecl mknod 'extern int mknod(const char*, mode_t, dev_t);' \
+ 	unistd.h sys/stat.h
diff --git a/main/hylafax/hylafax.confd b/main/hylafax/hylafax.confd
deleted file mode 100644
index e82610f..0000000
--- a/main/hylafax/hylafax.confd
@@ -1,29 +0,0 @@
-# Spool directory for HylaFAX
-spooldir="/var/spool/hylafax"
-
-# Faxq program path
-faxq="/usr/sbin/faxq"
-
-# hfaxd program path
-hfaxd="/usr/sbin/hfaxd"
-
-# faxgetty program path
-faxgetty="/usr/sbin/faxgetty"
-
-# Port of the hfaxd daemon for new protocol
-faxport=hylafax
-
-# Address used by hfaxd as binding address.
-faxbind="127.0.0.1"
-
-# Port of the hfaxd daemon for SNPP protocol
-snppport=444
-
-# Port of the hfaxd daemon for old protocol
-oldprotoport=4557
-
-# newproto | oldproto | snpp | any
-mode="newproto"
-
-# Directory where the pidfiles of HylaFAX are saved.
-piddir="/var/run"
diff --git a/main/hylafax/hylafax.init b/main/hylafax/hylafax.init
deleted file mode 100644
index b368338..0000000
--- a/main/hylafax/hylafax.init
@@ -1,176 +0,0 @@
-#!/sbin/runscript
-# Copyright 1999-2008 Gentoo Foundation
-# Author Geaaru
-# Distributed under the terms of the GNU General Public License v2
-
-opts="zap"
-
-depend() {
-	use lo
-}
-
-checkconfig() {
-	ebegin "Check hylafax server configuration..."
-
-	if [ x$spooldir == x ] ; then
-		eerror "No spooldir directory defined"
-		return 1
-	else
-		SPOOL=$spooldir
-		einfo "Use spool directory $SPOOL"
-	fi
-
-	if [ x$mode == x ] ; then
-		eerror "No mode defined"
-		return 1
-	fi
-
-	if [ ! -f $SPOOL/etc/setup.cache ] ; then
-		eerror "No $SPOOL/etc/setup.cache file founded. Use faxsetup command"
-		return 1
-	fi
-
-	if [[ x$hfaxd == x || ! -f $hfaxd ]] ; then
-		eerror "No hfaxd daemon founded"
-		return 1
-	fi
-
-	if [[ x$faxq == x || ! -f $faxq ]] ; then
-		eerror "No faxq program founded"
-		return 1
-	fi
-
-	if [[ x$faxgetty == x || ! -f $faxgetty ]] ; then
-		eerror "No faxgetty program founded"
-		return 1
-	fi
-
-	if [ x$faxbind == x ] ; then
-		eerror "No binding address supply"
-		return 1
-	fi
-
-	if [ x$piddir == x ] ; then
-		PIDDIR=$SPOOL
-	else
-		PIDDIR=$piddir
-	fi
-
-
-	hfaxd_args="-l $faxbind -q $SPOOL"
-
-	case $mode in
-		newproto)
-			if [[ x$faxport == x ]] ; then
-				eerror "No faxport defined"
-				return 1
-			fi
-			hfaxd_args="$hfaxd_args -i $faxport"
-			;;
-		oldproto)
-			if [[ x$oldprotoport == x ]] ; then
-				eerror "No oldprotoport defined"
-				return 1
-			fi
-			hfaxd_args="$hfaxd_args -o $oldprotoport"
-			;;
-		snpp)
-			if [[ x$snppport == x ]] ; then
-				eerror "No snppport defined"
-				return 1
-			fi
-			hfaxd_args="$hfaxd_args -s $snppport"
-			;;
-		any)
-			if [[ x$faxport == x || x$snppport == x || x$oldprotoport == x ]] ; then
-				eerror "No port data founded for old services"
-				return 1
-			fi
-			hfaxd_args="$hfaxd_args -i $faxport -s $snppport -o $oldprotoport"
-			;;
-		*)
-			eerror "Invalid mode"
-			return 1
-			;;
-
-	esac
-
-	faxq_args="-q $SPOOL"
-
-	# workaround for manage save of pidfile with start-stop-daemon
-	hfaxd_args="$hfaxd_args -d"
-	faxq_args="$faxq_args -D"
-		
-	return 0
-}
-
-start() {
-	local result
-
-	checkconfig || return 1
-
-	ebegin "Starting HylaFAX server daemons"
-
-	start_faxq
-	result=$?
-
-	if [ $result -ne 0 ]  ; then
-		eerror "Error on start $faxq daemon"
-		return 1
-	fi
-
-	start_hfaxd
-	result=$?
-
-	eend $result
-}
-
-start_hfaxd() {
-	local arguments="--start \
-			 --make-pidfile --pidfile $PIDDIR/hfaxd.pid"
-	
-	einfo "Starting $hfaxd with args $hfaxd_args"
-
-	start-stop-daemon -b ${arguments} --exec $hfaxd -- $hfaxd_args > /dev/null 2>&1
-
-	return $?;
-}
-
-start_faxq() {
-	local arguments="--start \
-			 --make-pidfile --pidfile $PIDDIR/faxq.pid"
-	einfo "Starting $faxq ... "
-
-	start-stop-daemon -b ${arguments} --exec $faxq -- $faxq_args > /dev/null 2>&1
-	
-	return $?
-}
-
-stop() {
-	checkconfig || return 1
-
-	ebegin "Stopping HylaFAX server daemons"
-	
-	start-stop-daemon --stop --quiet --pidfile $PIDDIR/hfaxd.pid
-	start-stop-daemon --stop --quiet --pidfile $PIDDIR/faxq.pid
-	eend $?
-}
-
-zap() {
-	checkconfig || return 1
-
-	ebegin "Zap HylaFAX server daemon files"
-
-	if [ -f $PIDFILE/hfaxd.pid ] ; then
-		rm -f $PIDFILE/hfaxd.pid
-	fi
-
-	if [ -f $PIDFILE/faxq.pid ] ; then
-		rm -f $PIDFILE/faxq.pid
-	fi
-}
-
-restart() {
-	stop
-	start
-}
-- 
1.7.3.2



---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---